<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Modal Contact Form
| Version 1.2
| Filename: mcontact.php
| Author: Pisatel
| http://www.meweb.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

  require_once "../../maincore.php";

    if (file_exists(INFUSIONS."mcontact_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."mcontact_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."mcontact_panel/locale/Russian.php";
}

  header("Content-type: text/html; charset=windows-1251");


// Form
  $action = isset($_POST["action"]) ? stripinput(trim($_POST["action"])) : "";
  if (empty($action)) {
  $output = "<div style='display:none;'>
 <div class='contact-top'></div>
 <div class='contact-content'>
  <h1 class='contact-title'>".$locale['mc_01']."</h1>
  <div class='contact-loading' style='display:none;'></div>
  <div class='contact-message' style='display:none;'></div>
  <form action='#' style='display:none;'>
   <label for='contact-name'>".$locale['mc_02']."</label>
   <input type='text' id='contact-name' class='contact-input' name='name' tabindex='1001' placeholder='".$locale['mc_your_name']."' />
   <label for='contact-email'>".$locale['mc_03']."</label>
   <input type='text' id='contact-email' class='contact-input' name='email' tabindex='1002' placeholder='".$locale['mc_your_email']."' />";

  $output .= "
   <label for='contact-subject'>".$locale['mc_04']."</label>
   <input type='text' id='contact-subject' class='contact-input' name='subject' value='' tabindex='1003' placeholder='".$locale['mc_your_subject']."' />";

 $output .= "
   <label for='contact-message'>".$locale['mc_05']."</label>
   <textarea id='contact-message' class='contact-input' name='message' cols='40' rows='4' tabindex='1004' placeholder='".$locale['mc_your_message']."'></textarea><br />
  <label>".$locale['mc_07']."</label>";
  if (!isset($_CAPTCHA_HIDE_INPUT) || (isset($_CAPTCHA_HIDE_INPUT) && !$_CAPTCHA_HIDE_INPUT)) {
  $output2 = "<br /><label for='captcha_code'>".$locale['mc_08']."</label>
   <input type='text' id='captcha_code' name='captcha_code' class='contact-input captcha' autocomplete='off'/><br />";
 }

 
 $output2 .= "<label>".$locale['mc_06']."</label>
   <button type='submit' class='contact-send contact-button' tabindex='1006'>".$locale['mc_09']."</button>
   <button type='submit' class='contact-cancel contact-button simplemodal-close' tabindex='1007'>".$locale['mc_10']."</button>
   <br />
  <input type='hidden' name='referer' value='".$_SERVER['HTTP_REFERER']."' />
  </form>
 </div>
 <div class='contact-bottom'></div>
</div>";

   echo $output;
   include INCLUDES."captchas/securimage2/captcha_display.php";
   echo $output2;
}
elseif ($action == "send") {

  $error = ""; 
 $mailname = isset($_POST['name']) ? iconv("UTF-8", "WINDOWS-1251", substr(stripinput(trim($_POST['name'])), 0, 50)) : "";
 $email = isset($_POST['email']) ? iconv("UTF-8", "WINDOWS-1251", substr(stripinput(trim($_POST['email'])), 0, 100)) : "";
 $subject = isset($_POST['subject']) ? iconv("UTF-8", "WINDOWS-1251", substr(str_replace(array("\r","\n","@"), "", descript(stripslash(trim($_POST['subject'])))), 0, 100)) : "";
  $referer = isset($_POST['referer']) ? iconv("UTF-8", "WINDOWS-1251", stripslash(trim($_POST['referer']))) : "";
 $message = isset($_POST['message']) ? iconv("UTF-8", "WINDOWS-1251", descript(stripslash(trim($_POST['message'])))).$locale['mc_add_mess'].$referer : "";
  if ($mailname == "") {
  $error .= " <span class='alt'>".$locale['mc_20']."</span><br />\n";
 }
 if ($email == "" || !preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
  $error .= " <span class='alt'>".$locale['mc_21']."</span><br />\n";
 }
 if ($subject == "") {
  $error .= " <span class='alt'>".$locale['mc_22']."</span><br />\n";
 }
 if ($message == "") {
  $error .= " <span class='alt'>".$locale['mc_23']."</span><br />\n";
 }
  $_CAPTCHA_IS_VALID = false;
  include INCLUDES."captchas/securimage2/captcha_check.php";
 if ($_CAPTCHA_IS_VALID == false) {
  $error .= " <span class='alt'>".$locale['mc_24']."</span><br />\n";
 }

 // send message
 if (!$error) {
    require_once INCLUDES."sendmail_include.php";
  if (!sendemail($settings['siteusername'],$settings['siteemail'],$mailname,$email,$subject,$message)) {
  $error .= $locale['mc_25'];
}
 }
 if ($error){
  echo $locale['mc_42'];
  echo $error;
  echo $locale['mc_43'];
 } else {
  echo $locale['mc_40'];
}
}


exit;

?>